Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QKbdDriverPlugin Class Reference

The QKbdDriverPlugin class provides an abstract base for Qt/Embedded keyboard driver plugins. More...

`#include <qkbddriverplugin_qws.h>`

List of all member functions.

## Public Members

- QKbdDriverPlugin ()
- ~QKbdDriverPlugin ()
- virtual QStringList keys () const = 0
- virtual QWSKeyboardHandler * create ( const QString & driver, const QString & device ) = 0

## Detailed Description

The QKbdDriverPlugin class provides an abstract base for Qt/Embedded keyboard driver plugins.

The keyboard driver plugin is a simple plugin interface that makes it easy to create custom keyboard drivers.

Writing a keyboard driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

See also Plugins.

## Member Function Documentation

### QKbdDriverPlugin::QKbdDriverPlugin ()

Constructs a keyboard driver plugin. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QKbdDriverPlugin::~QKbdDriverPlugin ()

Destroys the keyboard driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QWSKeyboardHandler * QKbdDriverPlugin::create ( const QString & driver, const QString & device )`[pure virtual]`

Creates a driver matching the type specified by driver and device.

See also keys().

### QStringList QKbdDriverPlugin::keys () const`[pure virtual]`

Returns the list of keyboard drivers this plugin supports.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.